/*******************************************************************************
 *	BdsDataFileGcf.h	BDRS Data File Access
 *			T.Barnaby,	BEAM Ltd,	2008-06-24
 *******************************************************************************
 */
#ifndef BdsDataFileGcf_H
#define	BdsDataFileGcf_H

#include <BdsDataFile.h>

namespace Bds {

class DataFileGcf : public DataFile{
public:
				DataFileGcf();

	int			getFeatures();						///< Get bitmask of supported features

	BError			getInfo(DataInfo& dataInfo, ReadOptions options, BList<DataError>& errors);
	BError			readData(BUInt32 channel, BUInt segment, BUInt32 blockNumber, DataBlock& data);

	static DataFormat	getFormats();
private:
	BError			readBlock(BUInt32 channel, BUInt64 pos, DataBlock& data);
	DataError		getBlockReorderInfo();					///< Returns information on any block re-ordering performed

	BUInt32			oblockSize;
	DataInfo		odataInfo;
	BString			osystemId;
	BString			ostreamId;
	int			oformat;
	int			ofilterCoef;
	double			osampleRate;
	BArray<DataBlockPos>	oblockPositions;
};

}
#endif
